MockAvlCortesFphaNwv28 = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: NEWAVE     - Versao FPHA_NEWAVE                             *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    "                                 \n",
    "____________________________________________________________________\n",
    "\n",
    "--------------------------------------------------------------------------------------\n",
    "Relatorio dos cortes do modelo para a funcao de producao para as usinas hidroeletricas\n",
    "--------------------------------------------------------------------------------------\n",
    "--------------------------------------------------------\n",
    "USIH;        Numero de cadastro da usina hidroeletrica                                                                                                                                                  \n",
    "IPER;        Indice do periodo                                                                                                                                                                          \n",
    "NomeUsih;    Nome de cadastro da usina hidroeletrica                                                                                                                                                    \n",
    "ICORT;       Indice do corte                                                                                                                                                                            \n",
    "FCorrec;     Fator de correcao                                                                                                                                                                          \n",
    "RHS;         Termo independente                                                                                                                                                                         \n",
    "Coef. Vutil; Coeficiente para o volume armazenado (util)                                                                                                                                                \n",
    "Coef. Qtur;  Coeficiente para a vazao turbinada                                                                                                                                                         \n",
    "Coef. Qver;  Coeficiente para a vazao vertida                                                                                                                                                           \n",
    "Coef. Qlat;  Coeficiente para a vazao lateral a jusante                                                                                                                                                 \n",
    "--------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;-----;--------------;-------;----------;----------------;----------------;----------------;----------------;----------------;\n",
    "USIH ;IPER ;   NomeUsih   ; ICORT ; FCorrec  ;      RHS       ;  Coef. Vutil   ;   Coef. Qtur   ;   Coef. Qver   ;   Coef. Qlat   ;\n",
    "  -  ;  -  ;      -       ;       ;          ;      (MW)      ;    (MW/hm3)    ;  (MW/(m3/s))   ;  (MW/(m3/s))   ;  (MW/(m3/s))   ;\n",
    "-----;-----;--------------;-------;----------;----------------;----------------;----------------;----------------;----------------;\n",
    " 004 ;   1 ; FUNIL-GRANDE ;     1 ; 1.000000 ;     0.00000000 ;     0.00000000 ;     0.35607775 ;     0.00000000 ;     0.00000000 ;\n",
    " 004 ;   1 ; FUNIL-GRANDE ;     2 ; 1.000000 ;     0.00000000 ;     0.00000000 ;     0.35607775 ;     0.00000000 ;     0.00000000 ;\n",
    " 004 ;   1 ; FUNIL-GRANDE ;     3 ; 1.000000 ;     0.00000000 ;     0.00000000 ;     0.35607775 ;     0.00000000 ;     0.00000000 ;\n",
    " 004 ;   1 ; FUNIL-GRANDE ;     4 ; 1.000000 ;     0.00000000 ;     0.00000000 ;     0.35607775 ;     0.00000000 ;     0.00000000 ;\n",
    " 004 ;   1 ; FUNIL-GRANDE ;     5 ; 1.000000 ;   180.00000000 ;     0.00000000 ;     0.00000000 ;     0.00000000 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     1 ; 0.985880 ;     0.00000000 ;     0.01658959 ;     0.26076357 ;    -0.00539055 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     2 ; 0.985880 ;     0.00000000 ;     0.00000000 ;     0.37775087 ;    -0.00117750 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     3 ; 0.985880 ;     0.00000000 ;     0.01392742 ;     0.27030943 ;    -0.00807420 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     4 ; 0.985880 ;     0.00000000 ;     0.00583005 ;     0.31386211 ;    -0.00722182 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     5 ; 0.985880 ;     0.00000000 ;     0.00029321 ;     0.36933972 ;    -0.00338009 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     6 ; 0.985880 ;     0.00000000 ;     0.00082333 ;     0.36173635 ;    -0.00539055 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     7 ; 0.985880 ;     0.31798910 ;     0.01919574 ;     0.25235242 ;    -0.00722182 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     8 ; 0.985880 ;     0.16491960 ;     0.01750201 ;     0.25640127 ;    -0.00888645 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;     9 ; 0.985880 ;     0.89289003 ;     0.02131618 ;     0.24474905 ;    -0.00888645 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;    10 ; 0.985880 ;     1.67098695 ;     0.02227282 ;     0.23788855 ;    -0.01039660 ;     0.00000000 ;\n",
    " 020 ;   1 ; BATALHA      ;    11 ; 0.985880 ;     8.99978392 ;     0.00108798 ;     0.27985440 ;    -0.01039660 ;     0.00000000 ;\n",
    "\n",
]


MockAvlCortesFphaNwv = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  NEWAVE - 28.16_CPAMP         *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA ONS\n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " Backtest Preliminar CPAMP 2022-2023 - Hibrido NEWAVE 05/2021\n",
    "____________________________________________________________________\n",
    "\n",
    "--------------------------------------------------------------------------------------\n",
    "Relatorio dos cortes do modelo para a funcao de producao para as usinas hidroeletricas\n",
    "--------------------------------------------------------------------------------------\n",
    "--------------------------------------------------------\n",
    "USIH;        Numero de cadastro da usina hidreletrica\n",
    "IPER;        Indice do periodo\n",
    "NomeUsih;    Nome de cadastro da usina hidreletrica\n",
    "ICORT;       Indice do corte\n",
    "FCorrec;     Fator de correcao\n",
    "RHS;         Termo independente\n",
    "Coef. Vutil; Coeficiente para o volume armazenado (util)\n",
    "Coef. Qtur;  Coeficiente para a vazao turbinada\n",
    "Coef. Qver;  Coeficiente para a vazao vertida\n",
    "Coef. Qlat;  Coeficiente para a vazao lateral a jusante\n",
    "--------------------------------------------------------\n",
    "\n",
    "----;----;--------------;-------;----------;----------------;----------------;----------------;----------------;----------------;\n",
    "USIH;IPER;   NomeUsih   ; ICORT ; FCorrec  ;      RHS       ;  Coef. Vutil   ;   Coef. Qtur   ;   Coef. Qver   ;   Coef. Qlat   ;\n",
    "  - ;  - ;      -       ;   -   ;     -    ;      (MW)      ;    (MW/hm3)    ;   (MW/(m3/s))  ;   (MW/(m3/s))  ;   (MW/(m3/s))  ;\n",
    "----;----;--------------;-------;----------;----------------;----------------;----------------;----------------;----------------;\n",
    "   4;   5; FUNIL-GRANDE ;     1 ; 1.000000 ;     0.00000000 ;     0.00000000 ;     0.35607775 ;     0.00000000 ;     0.00000000 ;\n",
    "   4;   5; FUNIL-GRANDE ;     2 ; 1.000000 ;     1.76129965 ;     0.00000000 ;     0.35144723 ;     0.00000000 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     1 ; 0.989446 ;    -1.82366688 ;     0.01466636 ;     0.28018712 ;    -0.00533424 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     2 ; 0.989446 ;    -1.81071258 ;     0.01722008 ;     0.27162086 ;    -0.00692271 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     3 ; 0.989446 ;    -1.76930318 ;     0.01534428 ;     0.27659316 ;    -0.00926545 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     4 ; 0.989446 ;    -1.45612206 ;     0.01916347 ;     0.26389373 ;    -0.00890499 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     5 ; 0.989446 ;    -0.92291390 ;     0.00742229 ;     0.30899044 ;    -0.00732550 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     6 ; 0.989446 ;    -0.75969804 ;     0.02003829 ;     0.25693687 ;    -0.01067175 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     7 ; 0.989446 ;    -0.09389783 ;     0.00075515 ;     0.37968215 ;    -0.00547841 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     8 ; 0.989446 ;    -0.03348611 ;     0.00026930 ;     0.38740927 ;    -0.00346350 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;     9 ; 0.989446 ;     0.00000000 ;     0.00000000 ;     0.39597554 ;    -0.00096975 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;    10 ; 0.989446 ;    20.05376530 ;     0.00085144 ;     0.20448438 ;    -0.01067175 ;     0.00000000 ;\n",
    "  20;   5; BATALHA      ;    11 ; 0.989446 ;    21.98821913 ;     0.00000000 ;     0.19771350 ;     0.00000000 ;     0.00000000 ;\n",
]
